aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorbloodstalker <thabogre@gmail.com>2017-07-23 07:38:48 +0000
committerbloodstalker <thabogre@gmail.com>2017-07-23 07:38:48 +0000
commit43b5a655b663fe1207d9237b5530e4ac4e4a33c7 (patch)
treeb4a2226937bbf279b26a19b486b16d7ec3be3217
parentadded ASTFrontendActionCompatibilityWrapper1 class to handle an api (diff)
downloadmutator-43b5a655b663fe1207d9237b5530e4ac4e4a33c7.tar.gz
mutator-43b5a655b663fe1207d9237b5530e4ac4e4a33c7.zip
added bruiser smoke tests
-rwxr-xr-xextra-tools/precommitTests.sh54
1 files changed, 51 insertions, 3 deletions
diff --git a/extra-tools/precommitTests.sh b/extra-tools/precommitTests.sh
index 393193d..9160618 100755
--- a/extra-tools/precommitTests.sh
+++ b/extra-tools/precommitTests.sh
@@ -93,9 +93,25 @@ else
printf "${Red}mutator-lvl0 C++11 smoke test failed...\n${NC}" | tee -a ./test/precommit.rep
fi
+printf "${Lblue}running bruiser smoke tests...\n${NC}" | tee -a ./test/precommit.rep
+printf "${Orange}./bruiser/bruiser ./test/bruisertest/test.cpp -lua ./bruiser/lua-scripts/pre1.lua\n${NC}" | tee -a ./test/precommit.rep
+"./bruiser/bruiser" ./test/bruisertest/test.cpp -lua ./bruiser/lua-scripts/pre1.lua
+if [[ $? == 0 ]]; then
+ printf "${Green}bruiser C++11 smoke test passed...\n${NC}" | tee -a ./test/precommit.rep
+else
+ printf "${Red}bruiser C++11 smoke test failed...\n${NC}" | tee -a ./test/precommit.rep
+fi
+printf "${Orange}./bruiser/bruiser ./test/bruisertest/test.cpp -lua ./bruiser/lua-scripts/pre2.lua\n${NC}" | tee -a ./test/precommit.rep
+"./bruiser/bruiser" ./test/bruisertest/test.cpp -lua ./bruiser/lua-scripts/pre2.lua
+if [[ $? == 0 ]]; then
+ printf "${Green}bruiser C++11 smoke test passed...\n${NC}" | tee -a ./test/precommit.rep
+else
+ printf "${Red}bruiser C++11 smoke test failed...\n${NC}" | tee -a ./test/precommit.rep
+fi
+
printf "${Lblue}running make clean...\n${NC}" | tee -a ./test/precommit.rep
"make" clean
-
+########################################################################################################################
printf "${Lblue}testing the build in C++1z mode...\n${NC}" | tee -a ./test/precommit.rep
"make" CXX=clang++ BUILD_MODE=COV_NO_CLANG_1Z -j2
echo ""
@@ -151,12 +167,28 @@ else
printf "${Red}mutator-lvl0 C++1z smoke test failed...\n${NC}" | tee -a ./test/precommit.rep
fi
+printf "${Lblue}running bruiser smoke tests...\n${NC}" | tee -a ./test/precommit.rep
+printf "${Orange}./bruiser/bruiser ./test/bruisertest/test.cpp -lua ./bruiser/lua-scripts/pre1.lua\n${NC}" | tee -a ./test/precommit.rep
+"./bruiser/bruiser" ./test/bruisertest/test.cpp -lua ./bruiser/lua-scripts/pre1.lua
+if [[ $? == 0 ]]; then
+ printf "${Green}bruiser C++1z smoke test passed...\n${NC}" | tee -a ./test/precommit.rep
+else
+ printf "${Red}bruiser C++1z smoke test failed...\n${NC}" | tee -a ./test/precommit.rep
+fi
+printf "${Orange}./bruiser/bruiser ./test/bruisertest/test.cpp -lua ./bruiser/lua-scripts/pre2.lua\n${NC}" | tee -a ./test/precommit.rep
+"./bruiser/bruiser" ./test/bruisertest/test.cpp -lua ./bruiser/lua-scripts/pre2.lua
+if [[ $? == 0 ]]; then
+ printf "${Green}bruiser C++1z smoke test passed...\n${NC}" | tee -a ./test/precommit.rep
+else
+ printf "${Red}bruiser C++1z smoke test failed...\n${NC}" | tee -a ./test/precommit.rep
+fi
+
printf "${Lblue}cleaning the objects and exexutables...\n${NC}" | tee -a ./test/precommit.rep
"make" clean
printf "${Lblue}running make clean...\n${NC}" | tee -a ./test/precommit.rep
"make" clean
-
+########################################################################################################################
printf "${Lblue}testing the build in C++14 mode...\n${NC}" | tee -a ./test/precommit.rep
"make" CXX=clang++ BUILD_MODE=COV_NO_CLANG_14 -j2
echo ""
@@ -205,9 +237,25 @@ else
printf "${Red}mutator-lvl0 C++14 smoke test failed...\n${NC}" | tee -a ./test/precommit.rep
fi
+printf "${Lblue}running bruiser smoke tests...\n${NC}" | tee -a ./test/precommit.rep
+printf "${Orange}./bruiser/bruiser ./test/bruisertest/test.cpp -lua ./bruiser/lua-scripts/pre1.lua\n${NC}" | tee -a ./test/precommit.rep
+"./bruiser/bruiser" ./test/bruisertest/test.cpp -lua ./bruiser/lua-scripts/pre1.lua
+if [[ $? == 0 ]]; then
+ printf "${Green}bruiser C++14 smoke test passed...\n${NC}" | tee -a ./test/precommit.rep
+else
+ printf "${Red}bruiser C++14 smoke test failed...\n${NC}" | tee -a ./test/precommit.rep
+fi
+printf "${Orange}./bruiser/bruiser ./test/bruisertest/test.cpp -lua ./bruiser/lua-scripts/pre2.lua\n${NC}" | tee -a ./test/precommit.rep
+"./bruiser/bruiser" ./test/bruisertest/test.cpp -lua ./bruiser/lua-scripts/pre2.lua
+if [[ $? == 0 ]]; then
+ printf "${Green}bruiser C++14 smoke test passed...\n${NC}" | tee -a ./test/precommit.rep
+else
+ printf "${Red}bruiser C++14 smoke test failed...\n${NC}" | tee -a ./test/precommit.rep
+fi
+
printf "${Lblue}cleaning the objects and exexutables...\n${NC}" | tee -a ./test/precommit.rep
"make" clean
-
+########################################################################################################################
cd daemon
printf "${Lblue}changing to the daemon directory\n${NC}" | tee -a ../test/precommit.rep